﻿using EJGrid.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Models;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.IO;
using System.Linq;
using System.Linq.Expressions;
using System.Web;
using System.Web.Mvc;
using System.Web.UI.WebControls;
using System.Xml;
using Syncfusion.Linq;

namespace EJGrid.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.dataSource = new NorthwindDataContext().Orders.Select(ds => ds.EmployeeID).Distinct().ToList();
            return View();
        }

        public ActionResult DataSource(DataManager dm)
        {
            IEnumerable DataSource = OrderRepository.GetAllRecords().ToList();
            DataOperations opt = new DataOperations();
            var count = DataSource.AsQueryable().Count();
            //Paging
            DataSource = opt.PerformSkip(DataSource, dm.Skip);
            DataSource = opt.PerformTake(DataSource, dm.Take);
            return Json(new { result = DataSource, count = count }, JsonRequestBehavior.AllowGet);
        }              

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}